Index: /palm/trunk/SOURCE/coriolis.f90
===================================================================
--- /palm/trunk/SOURCE/coriolis.f90	(revision 4328)
+++ /palm/trunk/SOURCE/coriolis.f90	(revision 4329)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Renamed wall_flags_0 to wall_flags_static_0
+! 
+! 4196 2019-08-29 11:02:06Z gronemeier
 ! Consider rotation of model domain
 ! 
@@ -76,5 +79,5 @@
            
        USE indices,                                                            &
-           ONLY:  nxl, nxlu, nxr, nyn, nys, nysv, nzb, nzt, wall_flags_0
+           ONLY:  nxl, nxlu, nxr, nyn, nys, nysv, nzb, nzt, wall_flags_static_0
                    
        USE kinds
@@ -104,5 +107,5 @@
           CASE ( 1 )
              !$ACC PARALLEL LOOP COLLAPSE(3) PRIVATE(i, j, k, flag) &
-             !$ACC PRESENT(wall_flags_0) &
+             !$ACC PRESENT(wall_flags_static_0) &
              !$ACC PRESENT(v, w, vg) &
              !$ACC PRESENT(tend)
@@ -112,5 +115,5 @@
 !
 !--                   Predetermine flag to mask topography
-                      flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 1 ) )
+                      flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 1 ) )
 
                       tend(k,j,i) = tend(k,j,i) + flag *                                           &
@@ -129,5 +132,5 @@
           CASE ( 2 )
              !$ACC PARALLEL LOOP COLLAPSE(3) PRIVATE(i, j, k, flag) &
-             !$ACC PRESENT(wall_flags_0) &
+             !$ACC PRESENT(wall_flags_static_0) &
              !$ACC PRESENT(u, w, ug) &
              !$ACC PRESENT(tend)
@@ -137,5 +140,5 @@
 !
 !--                   Predetermine flag to mask topography
-                      flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 2 ) )
+                      flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 2 ) )
 
                       tend(k,j,i) = tend(k,j,i) - flag *                                           &
@@ -154,5 +157,5 @@
           CASE ( 3 )
              !$ACC PARALLEL LOOP COLLAPSE(3) PRIVATE(i, j, k, flag) &
-             !$ACC PRESENT(wall_flags_0) &
+             !$ACC PRESENT(wall_flags_static_0) &
              !$ACC PRESENT(u, v) &
              !$ACC PRESENT(tend)
@@ -162,5 +165,5 @@
 !
 !--                   Predetermine flag to mask topography
-                      flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 3 ) )
+                      flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 3 ) )
 
                       tend(k,j,i) = tend(k,j,i)                                                 &
@@ -202,5 +205,5 @@
            
        USE indices,                                                            &
-           ONLY:  nzb, nzt, wall_flags_0
+           ONLY:  nzb, nzt, wall_flags_static_0
            
        USE kinds
@@ -232,5 +235,5 @@
 !
 !--             Predetermine flag to mask topography
-                flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 1 ) )
+                flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 1 ) )
 
                 tend(k,j,i) = tend(k,j,i) + flag *                                                 &
@@ -249,5 +252,5 @@
 !
 !--             Predetermine flag to mask topography
-                flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 2 ) )
+                flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 2 ) )
 
                 tend(k,j,i) = tend(k,j,i) - flag *                                                 &
@@ -266,5 +269,5 @@
 !
 !--             Predetermine flag to mask topography
-                flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 3 ) )
+                flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 3 ) )
 
                 tend(k,j,i) = tend(k,j,i)                                                 &
Index: /palm/trunk/SOURCE/data_output_2d.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_2d.f90	(revision 4328)
+++ /palm/trunk/SOURCE/data_output_2d.f90	(revision 4329)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Renamed wall_flags_0 to wall_flags_static_0
+! 
+! 4182 2019-08-22 15:20:23Z scharf
 ! Corrected "Former revisions" section
 ! 
@@ -97,5 +100,5 @@
     USE indices,                                                               &
         ONLY:  nbgp, nx, nxl, nxlg, nxr, nxrg, ny, nyn, nyng, nys, nysg,       &
-               nzb, nzt, wall_flags_0
+               nzb, nzt, wall_flags_static_0
 
     USE kinds
@@ -1181,5 +1184,5 @@
                       local_pf(i,j,k) = MERGE( to_be_resorted(k,j,i),          &
                                                REAL( fill_value, KIND = wp ),  &
-                                               BTEST( wall_flags_0(k,j,i),     &
+                                               BTEST( wall_flags_static_0(k,j,i),     &
                                                       flag_nr ) ) 
                    ENDDO
Index: /palm/trunk/SOURCE/data_output_3d.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_3d.f90	(revision 4328)
+++ /palm/trunk/SOURCE/data_output_3d.f90	(revision 4329)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Renamed wall_flags_0 to wall_flags_static_0
+! 
+! 4182 2019-08-22 15:20:23Z scharf
 ! Corrected "Former revisions" section
 ! 
@@ -95,9 +98,9 @@
     USE indices,                                                               &
         ONLY:  nbgp, nxl, nxlg, nxr, nxrg, nyn, nyng, nys, nysg, nzb, nzt,     &
-               wall_flags_0
+               wall_flags_static_0
 #else
     USE indices,                                                               &
         ONLY:  nbgp, nx, nxl, nxlg, nxr, nxrg, ny, nyn, nyng, nys, nysg, nzb,  &
-               nzt, wall_flags_0
+               nzt, wall_flags_static_0
 #endif
 
@@ -620,5 +623,5 @@
                                       to_be_resorted(k,j,i),                   &
                                       REAL( fill_value, KIND = wp ),           &
-                                      BTEST( wall_flags_0(k,j,i), flag_nr ) )
+                                      BTEST( wall_flags_static_0(k,j,i), flag_nr ) )
                 ENDDO
              ENDDO
Index: /palm/trunk/SOURCE/data_output_mask.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_mask.f90	(revision 4328)
+++ /palm/trunk/SOURCE/data_output_mask.f90	(revision 4329)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Renamed wall_flags_0 to wall_flags_static_0
+! 
+! 4246 2019-09-30 09:27:52Z pavelkrc
 ! Corrected "Former revisions" section
 ! 
@@ -91,5 +94,5 @@
 
     USE indices,                                                               &
-        ONLY:  nbgp, nxl, nxr, nyn, nys, nzb, nzt, wall_flags_0
+        ONLY:  nbgp, nxl, nxr, nyn, nys, nzb, nzt, wall_flags_static_0
 
     USE kinds
@@ -261,10 +264,10 @@
                          im = mask_i(mid,i)
                          jm = mask_j(mid,j)
-                         ktt = MINLOC( MERGE( 1, 0, BTEST( wall_flags_0(:,jm,im), 5 )),&
+                         ktt = MINLOC( MERGE( 1, 0, BTEST( wall_flags_static_0(:,jm,im), 5 )),&
                                        DIM = 1 ) - 1
                          DO  k = 1, mask_size_l(mid,3)
                             kk = MIN( ktt+mask_k(mid,k), nzt+1 )
 !--                         Set value if not in building
-                            IF ( BTEST( wall_flags_0(kk,jm,im), 6 ) )  THEN
+                            IF ( BTEST( wall_flags_static_0(kk,jm,im), 6 ) )  THEN
                                local_pf(i,j,k) = fill_value
                             ELSE
@@ -330,9 +333,9 @@
                          im = mask_i(mid,i)
                          jm = mask_j(mid,j)
-                         ktt = MINLOC( MERGE( 1, 0, BTEST( wall_flags_0(:,jm,im), 5 )), DIM = 1 ) - 1
+                         ktt = MINLOC( MERGE( 1, 0, BTEST( wall_flags_static_0(:,jm,im), 5 )), DIM = 1 ) - 1
                          DO  k = 1, mask_size_l(mid,3)
                             kk = MIN( ktt+mask_k(mid,k), nzt+1 )
 !--                         Set value if not in building
-                            IF ( BTEST( wall_flags_0(kk,jm,im), 6 ) )  THEN
+                            IF ( BTEST( wall_flags_static_0(kk,jm,im), 6 ) )  THEN
                                local_pf(i,j,k) = fill_value
                             ELSE
@@ -373,9 +376,9 @@
                             im = mask_i(mid,i)
                             jm = mask_j(mid,j)
-                            ktt = MINLOC( MERGE( 1, 0, BTEST( wall_flags_0(:,jm,im), 5 )), DIM = 1 ) - 1
+                            ktt = MINLOC( MERGE( 1, 0, BTEST( wall_flags_static_0(:,jm,im), 5 )), DIM = 1 ) - 1
                             DO  k = 1, mask_size_l(mid,3)
                                kk = MIN( ktt+mask_k(mid,k), nzt+1 )
 !--                            Set value if not in building
-                               IF ( BTEST( wall_flags_0(kk,jm,im), 6 ) )  THEN
+                               IF ( BTEST( wall_flags_static_0(kk,jm,im), 6 ) )  THEN
                                   local_pf(i,j,k) = fill_value
                                ELSE
@@ -467,9 +470,9 @@
                          im = mask_i(mid,i)
                          jm = mask_j(mid,j)
-                         ktt = MINLOC( MERGE( 1, 0, BTEST( wall_flags_0(:,jm,im), 5 )), DIM = 1 ) - 1
+                         ktt = MINLOC( MERGE( 1, 0, BTEST( wall_flags_static_0(:,jm,im), 5 )), DIM = 1 ) - 1
                          DO  k = 1, mask_size_l(mid,3)
                             kk = MIN( ktt+mask_k(mid,k), nzt+1 )
 !--                         Set value if not in building
-                            IF ( BTEST( wall_flags_0(kk,jm,im), 6 ) )  THEN
+                            IF ( BTEST( wall_flags_static_0(kk,jm,im), 6 ) )  THEN
                                local_pf(i,j,k) = fill_value
                             ELSE
@@ -506,9 +509,9 @@
                          im = mask_i(mid,i)
                          jm = mask_j(mid,j)
-                         ktt = MINLOC( MERGE( 1, 0, BTEST( wall_flags_0(:,jm,im), 5 )), DIM = 1 ) - 1
+                         ktt = MINLOC( MERGE( 1, 0, BTEST( wall_flags_static_0(:,jm,im), 5 )), DIM = 1 ) - 1
                          DO  k = 1, mask_size_l(mid,3)
                             kk = MIN( ktt+mask_k(mid,k), nzt+1 )
 !--                         Set value if not in building
-                            IF ( BTEST( wall_flags_0(kk,jm,im), 6 ) )  THEN
+                            IF ( BTEST( wall_flags_static_0(kk,jm,im), 6 ) )  THEN
                                local_pf(i,j,k) = fill_value
                             ELSE
@@ -648,9 +651,9 @@
                    im = mask_i(mid,i)
                    jm = mask_j(mid,j)
-                   ktt = MINLOC( MERGE( 1, 0, BTEST( wall_flags_0(:,jm,im), 5 )), DIM = 1 ) - 1
+                   ktt = MINLOC( MERGE( 1, 0, BTEST( wall_flags_static_0(:,jm,im), 5 )), DIM = 1 ) - 1
                    DO  k = 1, mask_size_l(mid,3)
                       kk = MIN( ktt+mask_k(mid,k), nzt+1 )
 !--                   Set value if not in building
-                      IF ( BTEST( wall_flags_0(kk,jm,im), 6 ) )  THEN
+                      IF ( BTEST( wall_flags_static_0(kk,jm,im), 6 ) )  THEN
                          local_pf(i,j,k) = fill_value
                       ELSE
Index: /palm/trunk/SOURCE/diagnostic_output_quantities_mod.f90
===================================================================
--- /palm/trunk/SOURCE/diagnostic_output_quantities_mod.f90	(revision 4328)
+++ /palm/trunk/SOURCE/diagnostic_output_quantities_mod.f90	(revision 4329)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Renamed wall_flags_0 to wall_flags_static_0
+! 
+! 4182 2019-08-22 15:20:23Z scharf
 ! Corrected "Former revisions" section
 ! 
@@ -92,5 +95,5 @@
 ! 
     USE indices,                                                               &
-        ONLY:  nxl, nxr, nyn, nys, nzb, nzt, wall_flags_0
+        ONLY:  nxl, nxr, nyn, nys, nzb, nzt, wall_flags_static_0
 ! 
     USE kinds
@@ -582,5 +585,5 @@
                 local_pf(i,j,k) = MERGE( to_be_resorted(k,j,i),                &
                                          REAL( fill_value, KIND = wp ),        &
-                                         BTEST( wall_flags_0(k,j,i), flag_nr ) ) 
+                                         BTEST( wall_flags_static_0(k,j,i), flag_nr ) ) 
              ENDDO
           ENDDO
@@ -685,5 +688,5 @@
                 local_pf(i,j,k) = MERGE( to_be_resorted(k,j,i),                &
                                          REAL( fill_value, KIND = wp ),        &
-                                         BTEST( wall_flags_0(k,j,i), flag_nr ) ) 
+                                         BTEST( wall_flags_static_0(k,j,i), flag_nr ) ) 
              ENDDO
           ENDDO
@@ -802,5 +805,5 @@
                 im = mask_i(mid,i)
                 jm = mask_j(mid,j)
-                ktt = MINLOC( MERGE( 1, 0, BTEST( wall_flags_0(:,jm,im), 5 )), &
+                ktt = MINLOC( MERGE( 1, 0, BTEST( wall_flags_static_0(:,jm,im), 5 )), &
                               DIM = 1 ) - 1
                 DO  k = 1, mask_size_l(mid,3)
@@ -808,5 +811,5 @@
 !
 !--                Set value if not in building
-                   IF ( BTEST( wall_flags_0(kk,jm,im), 6 ) )  THEN
+                   IF ( BTEST( wall_flags_static_0(kk,jm,im), 6 ) )  THEN
                       local_pf(i,j,k) = fill_value
                    ELSE
@@ -933,5 +936,5 @@
                           - (   u(k,j+1,i) + u(k,j+1,i+1)                      &
                               - u(k,j-1,i) - u(k,j-1,i+1) ) * ddy     )**2  )  &
-                       * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 0) )
+                       * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 0) )
                    ENDDO
                 ENDDO
@@ -944,5 +947,5 @@
                    DO  k = nzb+1, nzt
                       uu(k,j,i) = u(k,j,i) * u(k,j,i)                          &
-                       * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 1) )
+                       * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 1) )
                    ENDDO
                 ENDDO
@@ -955,5 +958,5 @@
                    DO  k = nzb+1, nzt
                       vv(k,j,i) = v(k,j,i) * v(k,j,i)                          &
-                       * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 2) )
+                       * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 2) )
                    ENDDO
                 ENDDO
@@ -966,5 +969,5 @@
                    DO  k = nzb+1, nzt-1
                       ww(k,j,i) = w(k,j,i) * w(k,j,i)                          &
-                       * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 3) )
+                       * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 3) )
                    ENDDO
                 ENDDO
Index: /palm/trunk/SOURCE/diffusion_s.f90
===================================================================
--- /palm/trunk/SOURCE/diffusion_s.f90	(revision 4328)
+++ /palm/trunk/SOURCE/diffusion_s.f90	(revision 4329)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Renamed wall_flags_0 to wall_flags_static_0
+! 
+! 4182 2019-08-22 15:20:23Z scharf
 ! Corrected "Former revisions" section
 ! 
@@ -83,5 +86,5 @@
        
        USE indices,                                                            &
-           ONLY:  nxl, nxlg, nxr, nxrg, nyn, nyng, nys, nysg, nzb, nzt, wall_flags_0
+           ONLY:  nxl, nxlg, nxr, nxrg, nyn, nyng, nys, nysg, nzb, nzt, wall_flags_static_0
        
        USE kinds
@@ -132,5 +135,5 @@
        !$ACC PRIVATE(surf_e, surf_s, flag, mask_top, mask_bottom) &
        !$ACC PRIVATE(mask_north, mask_south, mask_west, mask_east) &
-       !$ACC PRESENT(wall_flags_0, kh) &
+       !$ACC PRESENT(wall_flags_static_0, kh) &
        !$ACC PRESENT(s) &
        !$ACC PRESENT(ddzu, ddzw, drho_air, rho_air_zw) &
@@ -156,12 +159,12 @@
 !
 !--             Predetermine flag to mask topography and wall-bounded grid points
-                flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 0 ) ) 
+                flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 0 ) ) 
 !
 !--             Predetermine flag to mask wall-bounded grid points, equivalent to
 !--             former s_outer array
-                mask_west  = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i-1), 0 ) )
-                mask_east  = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i+1), 0 ) )
-                mask_south = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j-1,i), 0 ) )
-                mask_north = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j+1,i), 0 ) )
+                mask_west  = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i-1), 0 ) )
+                mask_east  = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i+1), 0 ) )
+                mask_south = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j-1,i), 0 ) )
+                mask_north = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j+1,i), 0 ) )
 
                 tend(k,j,i) = tend(k,j,i)                                      &
@@ -297,11 +300,11 @@
 !--             flux at model top. 
                 mask_bottom = MERGE( 1.0_wp, 0.0_wp,                           &
-                                     BTEST( wall_flags_0(k-1,j,i), 8 ) ) 
+                                     BTEST( wall_flags_static_0(k-1,j,i), 8 ) ) 
                 mask_top    = MERGE( 1.0_wp, 0.0_wp,                           &
-                                     BTEST( wall_flags_0(k+1,j,i), 8 ) ) *     &
+                                     BTEST( wall_flags_static_0(k+1,j,i), 8 ) ) *     &
                               MERGE( 1.0_wp, 0.0_wp,                           &
-                                     BTEST( wall_flags_0(k+1,j,i), 9 ) ) 
+                                     BTEST( wall_flags_static_0(k+1,j,i), 9 ) ) 
                 flag        = MERGE( 1.0_wp, 0.0_wp,                           &
-                                     BTEST( wall_flags_0(k,j,i), 0 ) )
+                                     BTEST( wall_flags_static_0(k,j,i), 0 ) )
 
                 tend(k,j,i) = tend(k,j,i)                                      &
@@ -412,5 +415,5 @@
        
        USE indices,                                                            &
-           ONLY:  nxlg, nxrg, nyng, nysg, nzb, nzt, wall_flags_0
+           ONLY:  nxlg, nxrg, nyng, nysg, nzb, nzt, wall_flags_static_0
        
        USE kinds
@@ -462,12 +465,12 @@
 !
 !--       Predetermine flag to mask topography and wall-bounded grid points
-          flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 0 ) ) 
+          flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 0 ) ) 
 !
 !--       Predetermine flag to mask wall-bounded grid points, equivalent to
 !--       former s_outer array
-          mask_west  = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i-1), 0 ) )
-          mask_east  = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i+1), 0 ) )
-          mask_south = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j-1,i), 0 ) )
-          mask_north = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j+1,i), 0 ) )
+          mask_west  = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i-1), 0 ) )
+          mask_east  = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i+1), 0 ) )
+          mask_south = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j-1,i), 0 ) )
+          mask_north = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j+1,i), 0 ) )
 !
 !--       Finally, determine flag to mask both topography itself as well
@@ -607,11 +610,11 @@
 !--       flux at model top.   
           mask_bottom = MERGE( 1.0_wp, 0.0_wp,                                 &
-                               BTEST( wall_flags_0(k-1,j,i), 8 ) ) 
+                               BTEST( wall_flags_static_0(k-1,j,i), 8 ) ) 
           mask_top    = MERGE( 1.0_wp, 0.0_wp,                                 &
-                               BTEST( wall_flags_0(k+1,j,i), 8 ) )  *          &
+                               BTEST( wall_flags_static_0(k+1,j,i), 8 ) )  *          &
                         MERGE( 1.0_wp, 0.0_wp,                                 &
-                               BTEST( wall_flags_0(k+1,j,i), 9 ) )
+                               BTEST( wall_flags_static_0(k+1,j,i), 9 ) )
           flag        = MERGE( 1.0_wp, 0.0_wp,                                 &
-                               BTEST( wall_flags_0(k,j,i), 0 ) )
+                               BTEST( wall_flags_static_0(k,j,i), 0 ) )
 
           tend(k,j,i) = tend(k,j,i)                                            &
Index: /palm/trunk/SOURCE/diffusion_u.f90
===================================================================
--- /palm/trunk/SOURCE/diffusion_u.f90	(revision 4328)
+++ /palm/trunk/SOURCE/diffusion_u.f90	(revision 4329)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Renamed wall_flags_0 to wall_flags_static_0
+! 
+! 4182 2019-08-22 15:20:23Z scharf
 ! Corrected "Former revisions" section
 ! 
@@ -72,5 +75,5 @@
        
        USE indices,                                                            &
-           ONLY:  nxlu, nxr, nyn, nys, nzb, nzt, wall_flags_0
+           ONLY:  nxlu, nxr, nyn, nys, nzb, nzt, wall_flags_static_0
      
        USE kinds
@@ -105,5 +108,5 @@
        !$ACC PRIVATE(surf_e, surf_s, flag, kmym, kmyp, kmzm, kmzp) &
        !$ACC PRIVATE(mask_bottom, mask_north, mask_south, mask_top) &
-       !$ACC PRESENT(wall_flags_0, km) &
+       !$ACC PRESENT(wall_flags_static_0, km) &
        !$ACC PRESENT(u, v, w) &
        !$ACC PRESENT(ddzu, ddzw, drho_air, rho_air_zw) &
@@ -121,7 +124,7 @@
 !--             It is sufficient to masked only north- and south-facing surfaces, which
 !--             need special treatment for the u-component. 
-                flag       = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i),   1 ) ) 
-                mask_south = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j-1,i), 1 ) )
-                mask_north = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j+1,i), 1 ) )
+                flag       = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i),   1 ) ) 
+                mask_south = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j-1,i), 1 ) )
+                mask_north = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j+1,i), 1 ) )
 !
 !--             Interpolate eddy diffusivities on staggered gridpoints
@@ -196,11 +199,11 @@
 !--             momentum flux at model top.  
                 mask_bottom = MERGE( 1.0_wp, 0.0_wp,                           &
-                                     BTEST( wall_flags_0(k-1,j,i), 8 ) ) 
+                                     BTEST( wall_flags_static_0(k-1,j,i), 8 ) ) 
                 mask_top    = MERGE( 1.0_wp, 0.0_wp,                           &
-                                     BTEST( wall_flags_0(k+1,j,i), 8 ) ) *     &
+                                     BTEST( wall_flags_static_0(k+1,j,i), 8 ) ) *     &
                               MERGE( 1.0_wp, 0.0_wp,                           &
-                                     BTEST( wall_flags_0(k+1,j,i), 9 ) ) 
+                                     BTEST( wall_flags_static_0(k+1,j,i), 9 ) ) 
                 flag        = MERGE( 1.0_wp, 0.0_wp,                           &
-                                     BTEST( wall_flags_0(k,j,i), 1 ) ) 
+                                     BTEST( wall_flags_static_0(k,j,i), 1 ) ) 
 !
 !--             Interpolate eddy diffusivities on staggered gridpoints
@@ -319,5 +322,5 @@
        
        USE indices,                                                            &
-           ONLY:  nzb, nzt, wall_flags_0
+           ONLY:  nzb, nzt, wall_flags_static_0
       
        USE kinds
@@ -353,7 +356,7 @@
 !--       It is sufficient to masked only north- and south-facing surfaces, which
 !--       need special treatment for the u-component. 
-          flag       = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i),   1 ) ) 
-          mask_south = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j-1,i), 1 ) )
-          mask_north = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j+1,i), 1 ) )
+          flag       = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i),   1 ) ) 
+          mask_south = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j-1,i), 1 ) )
+          mask_north = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j+1,i), 1 ) )
 !
 !--       Interpolate eddy diffusivities on staggered gridpoints
@@ -422,11 +425,11 @@
 !--       momentum flux at model top. 
           mask_bottom = MERGE( 1.0_wp, 0.0_wp,                                 &
-                               BTEST( wall_flags_0(k-1,j,i), 8 ) ) 
+                               BTEST( wall_flags_static_0(k-1,j,i), 8 ) ) 
           mask_top    = MERGE( 1.0_wp, 0.0_wp,                                 &
-                               BTEST( wall_flags_0(k+1,j,i), 8 ) ) *           &
+                               BTEST( wall_flags_static_0(k+1,j,i), 8 ) ) *           &
                         MERGE( 1.0_wp, 0.0_wp,                                 &
-                               BTEST( wall_flags_0(k+1,j,i), 9 ) )
+                               BTEST( wall_flags_static_0(k+1,j,i), 9 ) )
           flag        = MERGE( 1.0_wp, 0.0_wp,                                 &
-                               BTEST( wall_flags_0(k,j,i), 1 ) ) 
+                               BTEST( wall_flags_static_0(k,j,i), 1 ) ) 
 !
 !--       Interpolate eddy diffusivities on staggered gridpoints
Index: /palm/trunk/SOURCE/diffusion_v.f90
===================================================================
--- /palm/trunk/SOURCE/diffusion_v.f90	(revision 4328)
+++ /palm/trunk/SOURCE/diffusion_v.f90	(revision 4329)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Renamed wall_flags_0 to wall_flags_static_0
+! 
+! 4182 2019-08-22 15:20:23Z scharf
 ! Corrected "Former revisions" section
 ! 
@@ -70,5 +73,5 @@
        
        USE indices,                                                            &
-           ONLY:  nxl, nxr, nyn, nysv, nzb, nzt, wall_flags_0
+           ONLY:  nxl, nxr, nyn, nysv, nzb, nzt, wall_flags_static_0
        
        USE kinds
@@ -101,5 +104,5 @@
        !$ACC PRIVATE(surf_e, surf_s, flag, kmxm, kmxp, kmzm, kmzp) &
        !$ACC PRIVATE(mask_bottom, mask_east, mask_west, mask_top) &
-       !$ACC PRESENT(wall_flags_0, km) &
+       !$ACC PRESENT(wall_flags_static_0, km) &
        !$ACC PRESENT(u, v, w) &
        !$ACC PRESENT(ddzu, ddzw, drho_air, rho_air_zw) &
@@ -118,7 +121,7 @@
 !--             It is sufficient to masked only east- and west-facing surfaces, which
 !--             need special treatment for the v-component. 
-                flag      = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i),   2 ) ) 
-                mask_east = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i+1), 2 ) )
-                mask_west = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i-1), 2 ) )
+                flag      = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i),   2 ) ) 
+                mask_east = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i+1), 2 ) )
+                mask_west = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i-1), 2 ) )
 !
 !--             Interpolate eddy diffusivities on staggered gridpoints
@@ -192,11 +195,11 @@
 !--             momentum flux at model top.  
                 mask_bottom = MERGE( 1.0_wp, 0.0_wp,                           &
-                                     BTEST( wall_flags_0(k-1,j,i), 8 ) ) 
+                                     BTEST( wall_flags_static_0(k-1,j,i), 8 ) ) 
                 mask_top    = MERGE( 1.0_wp, 0.0_wp,                           &
-                                     BTEST( wall_flags_0(k+1,j,i), 8 ) ) *     &
+                                     BTEST( wall_flags_static_0(k+1,j,i), 8 ) ) *     &
                               MERGE( 1.0_wp, 0.0_wp,                           &
-                                     BTEST( wall_flags_0(k+1,j,i), 9 ) ) 
+                                     BTEST( wall_flags_static_0(k+1,j,i), 9 ) ) 
                 flag        = MERGE( 1.0_wp, 0.0_wp,                           &
-                                     BTEST( wall_flags_0(k,j,i), 2 ) ) 
+                                     BTEST( wall_flags_static_0(k,j,i), 2 ) ) 
 !
 !--             Interpolate eddy diffusivities on staggered gridpoints
@@ -310,5 +313,5 @@
        
        USE indices,                                                            &
-           ONLY:  nzb, nzt, wall_flags_0
+           ONLY:  nzb, nzt, wall_flags_static_0
        
        USE kinds
@@ -346,7 +349,7 @@
 !--       It is sufficient to masked only east- and west-facing surfaces, which
 !--       need special treatment for the v-component. 
-          flag      = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i),   2 ) ) 
-          mask_east = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i+1), 2 ) )
-          mask_west = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i-1), 2 ) )
+          flag      = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i),   2 ) ) 
+          mask_east = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i+1), 2 ) )
+          mask_west = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i-1), 2 ) )
 !
 !--       Interpolate eddy diffusivities on staggered gridpoints
@@ -416,11 +419,11 @@
 !--       momentum flux at model top.  
           mask_bottom = MERGE( 1.0_wp, 0.0_wp,                                 &
-                               BTEST( wall_flags_0(k-1,j,i), 8 ) ) 
+                               BTEST( wall_flags_static_0(k-1,j,i), 8 ) ) 
           mask_top    = MERGE( 1.0_wp, 0.0_wp,                                 &
-                               BTEST( wall_flags_0(k+1,j,i), 8 ) ) *           &
+                               BTEST( wall_flags_static_0(k+1,j,i), 8 ) ) *           &
                         MERGE( 1.0_wp, 0.0_wp,                                 &
-                               BTEST( wall_flags_0(k+1,j,i), 9 ) ) 
+                               BTEST( wall_flags_static_0(k+1,j,i), 9 ) ) 
           flag        = MERGE( 1.0_wp, 0.0_wp,                                 &
-                               BTEST( wall_flags_0(k,j,i), 2 ) )
+                               BTEST( wall_flags_static_0(k,j,i), 2 ) )
 !
 !--       Interpolate eddy diffusivities on staggered gridpoints
